## org.apache.catalina.authenticator
Class Constants

    java.lang.Object
      org.apache.catalina.authenticator.Constants

public class Constants
extends java.lang.Object

Field Summary
`static java.lang.String` `BASIC_METHOD`
`static java.lang.String` `CERT_METHOD`
`static java.lang.String` `CONFIDENTIAL_TRANSPORT`
`static java.lang.String` `DIGEST_METHOD`
`static java.lang.String` `FORM_ACTION`
`static java.lang.String` `FORM_METHOD`
`static java.lang.String` `FORM_PASSWORD`
`static java.lang.String` `FORM_PRINCIPAL_NOTE` The previously authenticated principal (if caching is disabled).
`static java.lang.String` `FORM_REQUEST_NOTE` The original request information, to which the user will be redirected if authentication succeeds.
`static java.lang.String` `FORM_USERNAME`
`static java.lang.String` `INTEGRAL_TRANSPORT`
`static java.lang.String` `NONE_TRANSPORT`
`static java.lang.String` `Package`
`static java.lang.String` `REQ_PASSWORD_NOTE` The notes key for the password used to authenticate this user.
`static java.lang.String` `REQ_SSOID_NOTE` The notes key to track the single-sign-on identity with which this request is associated.
`static java.lang.String` `REQ_USERNAME_NOTE` The notes key for the username used to authenticate this user.
`static java.lang.String` `SESS_PASSWORD_NOTE` The notes key for the password used to authenticate this user.
`static java.lang.String` `SESS_USERNAME_NOTE` The notes key for the username used to authenticate this user.
`static java.lang.String` `SINGLE_SIGN_ON_COOKIE`

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Package

    public static final java.lang.String Package

See Also:
  Constant Field Values

### BASIC_METHOD

    public static final java.lang.String BASIC_METHOD

See Also:
  Constant Field Values

### CERT_METHOD

    public static final java.lang.String CERT_METHOD

See Also:
  Constant Field Values

### DIGEST_METHOD

    public static final java.lang.String DIGEST_METHOD

See Also:
  Constant Field Values

### FORM_METHOD

    public static final java.lang.String FORM_METHOD

See Also:
  Constant Field Values

### NONE_TRANSPORT

    public static final java.lang.String NONE_TRANSPORT

See Also:
  Constant Field Values

### INTEGRAL_TRANSPORT

    public static final java.lang.String INTEGRAL_TRANSPORT

See Also:
  Constant Field Values

### CONFIDENTIAL_TRANSPORT

    public static final java.lang.String CONFIDENTIAL_TRANSPORT

See Also:
  Constant Field Values

### FORM_ACTION

    public static final java.lang.String FORM_ACTION

See Also:
  Constant Field Values

### FORM_PASSWORD

    public static final java.lang.String FORM_PASSWORD

See Also:
  Constant Field Values

### FORM_USERNAME

    public static final java.lang.String FORM_USERNAME

See Also:
  Constant Field Values

### SINGLE_SIGN_ON_COOKIE

    public static final java.lang.String SINGLE_SIGN_ON_COOKIE

See Also:
  Constant Field Values

### REQ_PASSWORD_NOTE

    public static final java.lang.String REQ_PASSWORD_NOTE

  The notes key for the password used to authenticate this user.

  See Also:
    Constant Field Values

### REQ_USERNAME_NOTE

    public static final java.lang.String REQ_USERNAME_NOTE

  The notes key for the username used to authenticate this user.

  See Also:
    Constant Field Values

### REQ_SSOID_NOTE

    public static final java.lang.String REQ_SSOID_NOTE

  The notes key to track the single-sign-on identity with which this request is associated.

  See Also:
    Constant Field Values

### SESS_PASSWORD_NOTE

    public static final java.lang.String SESS_PASSWORD_NOTE

  The notes key for the password used to authenticate this user.

  See Also:
    Constant Field Values

### SESS_USERNAME_NOTE

    public static final java.lang.String SESS_USERNAME_NOTE

  The notes key for the username used to authenticate this user.

  See Also:
    Constant Field Values

### FORM_PRINCIPAL_NOTE

    public static final java.lang.String FORM_PRINCIPAL_NOTE

  The previously authenticated principal (if caching is disabled).

  See Also:
    Constant Field Values

### FORM_REQUEST_NOTE

    public static final java.lang.String FORM_REQUEST_NOTE

  The original request information, to which the user will be redirected if authentication succeeds.

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.